FriendList = {}
TmpFriendList = {}

function LoadFriend() 

	for k,v in pairs(FriendList) do
		FriendList[k] = nil
	end

	local buf, k, v, n

	fp = io.open("AI/friend.ini", "r")

	if fp == nil then return end

	while true do
		buf = fp:read()
		if buf == nil then break end
		n = tonumber(buf)
		FriendList[buf] = n
	end

	fp:close()

end

function SaveFriend() 
	fp = io.open("AI/friend.ini", "w")

	if fp == nil then return end

	for k,v in pairs(FriendList) do
		fp:write( string.format("%d\n", v) )
	end

	fp:close()

end

function AddFriend(id)
	FriendList[tostring(id)] = tonumber(id)
	Message(M_ADDFRIEND)

end

function DelFriend(id)
	FriendList[tostring(id)] = nil
	Message(M_DELFRIEND)

end

function AddTmpFriend(id)
	TmpFriendList[tostring(id)] = tonumber(id)
	Message(M_ADDFRIEND)

end

function DelTmpFriend(id)
	TmpFriendList[tostring(id)] = nil
	Message(M_DELFRIEND)

end


function IsFriend(id)
	if FriendList[tostring(id)] ~= nil then return true end
	if TmpFriendList[tostring(id)] ~= nil then return true end
	return false
end


